package com.ruoyi.export.service;

import com.ruoyi.export.domain.ExportArticle;
import com.ruoyi.export.domain.vo.ExportArticleVo;
import com.ruoyi.export.domain.bo.ExportArticleBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 文章Service接口
 *
 * @author JR
 * @date 2025-07-16
 */
public interface IExportArticleService {

    /**
     * 查询文章
     */
    ExportArticleVo queryById(Long articleId);

    /**
     * 查询文章列表
     */
    TableDataInfo<ExportArticleVo> queryPageList(ExportArticleBo bo, PageQuery pageQuery);

    /**
     * 查询文章列表
     */
    List<ExportArticleVo> queryList(ExportArticleBo bo);

    /**
     * 新增文章
     */
    Boolean insertByBo(ExportArticleBo bo);

    /**
     * 修改文章
     */
    Boolean updateByBo(ExportArticleBo bo);

    /**
     * 校验并批量删除文章信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
